Skip to main content
GET
/
api
/
v1
/
clients
/
{clientId}
/
addresses
Obtener direcciones de un cliente agrupadas por ciudad
curl --request GET \
  --url https://api.raul.ugps.io/api/v1/clients/{clientId}/addresses \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "addresses": [
        {
          "clientAddressId": "<string>",
          "clientId": "<string>",
          "address": "<string>",
          "addressType": "branch",
          "lastUsedAt": "2023-11-07T05:31:56Z",
          "createdAt": "2023-11-07T05:31:56Z",
          "alias": {},
          "cityId": {},
          "cityName": {}
        }
      ],
      "cityId": {},
      "cityName": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer token authentication

Path Parameters

clientId
string
required

ID del cliente (UUID)

Query Parameters

limit
number

Limite de direcciones (default: 20)

Response

200 - application/json

Lista de direcciones agrupadas por ciudad

data
object[]
required

Direcciones agrupadas por ciudad